LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware
User Name
Password
Slackware This Forum is for the discussion of Slackware Linux.

Notices



Reply
 
Search this Thread
Old 08-03-2012, 07:12 PM   #1
brobr
Member
 
Registered: Oct 2003
Location: uk
Distribution: Slackware
Posts: 71

Rep: Reputation: 22
poppler upgrade breaks inkscape


Hi,

Today's upgrade of l/poppler-0.18 to version 0.20 in current has broken some pdf-depending programs for me: pdf-shuffler and inkscape, which had been fine before. Inkscape compiling hangs on '/pdfinput/svg-builder'(see attachment). Reverting to 0.18 makes inkscape work/compile again.

Pdf-shuffler (0.6) also stopped working because of a poppler-python (pypoppler-0.12.1) error: 'poppler.so: undefined symbol: poppler_page_render_selection_to_pixbuf'. (All are SlackBuilds).
Attached Files
File Type: txt endofinkscapecompileerror.txt (6.7 KB, 7 views)
 
Old 08-03-2012, 07:19 PM   #2
volkerdi
Slackware Maintainer
 
Registered: Dec 2002
Location: Minnesota
Distribution: Slackware! :-)
Posts: 877

Rep: Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827Reputation: 1827
We needed this upgrade to fix annotations in okular, but there are some things that we don't ship that are going to need patches to work with it, and inkscape is one of them. I have not tried this patch, but it might work:

https://projects.archlinux.org/svnto...kages/inkscape
 
Old 08-03-2012, 08:43 PM   #3
brobr
Member
 
Registered: Oct 2003
Location: uk
Distribution: Slackware
Posts: 71

Original Poster
Rep: Reputation: 22
Hi, Patrick,

Thank you very much for the tip (and the whole of Slackware of course :-). Found through that link that a newer version was available (0.48.3.1) as well.

I adapted the 13.37 SBo SlackBuild and info files according to the archlinux script on https://projects.archlinux.org/svnto...ape/trunk/PKGB. The resulting inkscape folder in the SBo tree (including the used patches/inkscape-poppler020.patch, inkscape.SlackBuilds.sbopkg & inskape.info.sbopkg files) can be downloaded from http://www.nose2nose.co.uk/inkscape4...pler020.tar.gz for anyone who would like to keep inkscape working on current.

I just completed my inkscape build with poppler-0.20 and it started up fine. So it seems to work.

Have a good weekend,

rob
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Upgrade to QT 4.7.1 breaks KDE 2handband Slackware 17 11-22-2010 04:34 PM
openssl upgrade breaks proftpd Rupa Slackware 10 03-15-2010 03:57 PM
Xorg upgrade breaks acpid kellinjar Linux - Software 4 02-11-2006 03:09 PM
upgrade breaks phpldapadmin gdsword Debian 2 11-04-2005 04:41 AM
Mozilla upgrade to 1.7 breaks slack! slackhack Slackware 12 07-26-2004 07:10 AM


All times are GMT -5. The time now is 03:57 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration